> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Reviews

> Retrieve all reviews for a specified platform. Set the platform query parameter to facebook for Facebook Page ratings or gmb for Google Business Profile.

Retrieve all the reviews for the specified platform. Currently only Facebook Page rating reviews and Google Business Profile reviews.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Query Parameters

**platform** `string` *required*

Values: `facebook`, `gmb`

### Request Examples

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/reviews?platform=gmb
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/reviews?platform=gmb", {
      method: "GET",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      }
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

headers = {'Authorization': 'Bearer API_KEY'}

r = requests.get('https://api.ayrshare.com/api/reviews?platform=gmb', headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php

$apiUrl = 'https://api.ayrshare.com/api/reviews?platform=gmb';
$apiKey = 'API_KEY';  // Replace 'API_KEY' with your actual API key

$headers = [
    'Content-Type: application/json',
    'Authorization: Bearer ' . $apiKey,
];

$curl = curl_init($apiUrl);
curl_setopt_array($curl, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => $headers
]);

$response = curl_exec($curl);

if ($response === false) {
    echo 'Curl error: ' . curl_error($curl);
} else {
    echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}

curl_close($curl);
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web;

namespace ReviewsGETRequest_csharp
{
class Reviews
{
    static async Task Main(string[] args)
    {
        string API_KEY = "API_KEY";
        
        // Build URL with query parameters
        var uriBuilder = new UriBuilder("https://api.ayrshare.com/api/reviews");
        var query = HttpUtility.ParseQueryString(string.Empty);
        query["platform"] = "gmb";
        uriBuilder.Query = query.ToString();

        using (var client = new HttpClient())
        {
            client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
            
            try
            {
                HttpResponseMessage response = await client.GetAsync(uriBuilder.Uri);
                response.EnsureSuccessStatusCode();
                string responseBody = await response.Content.ReadAsStringAsync();
                Console.WriteLine(responseBody);
            }
            catch (HttpRequestException e)
            {
                Console.WriteLine($"Error: {e.Message}");
            }
        }
    }
}
}
```

```json 200: Retrieved Reviews theme={"system"}
{
    "facebook": [
        {
            "created": "2023-07-11T21:14:41.000Z",
            "id": "376602035206384",
            "rating": "positive", // Rating positive, negative
            "review": "Makes things easy for connecting social accounts and publishing.",
            "reviewer": {
                "name": "Sue Smith",
                "id": "7283511115003",
                "profile": {
                    "height": 50,
                    "isSilhouette": false,
                    // The URL of the profile picture valid for at least 7 days
                    "url": "https://platform-lookaside.fbsbx.com/platform/profilepic/",
                    "width": 50
                }
            }
        },
        {
            "created": "2023-04-19T02:45:05.000Z",
            "id": "376602035206385",
            "rating": "positive", // Rating positive, negative
            "review": "What an amazing product",
            "reviewer": {
                "name": "John Smith",
                "id": "7501289573254",
                "profile": {
                    "height": 50,
                    "isSilhouette": false,
                    // The URL of the profile picture valid for at least 7 days
                    "url": "https://platform-lookaside.fbsbx.com/platform/profilepic/",
                    "width": 50
                }
            }
        }
    ],
    "lastUpdated": "2024-02-05T22:47:42.996Z",
    "nextUpdate": "2024-02-05T22:58:42.996Z"
},
{
    "gmb": [
        {
            "created": "2023-07-11T21:23:57.707819Z",
            "id": "AbFvOqkkVAAQYEe2o5asfICQAGTTG",
            "rating": "FIVE", // Rating ONE, TWO, THREE, FOUR, FIVE
            "review": "Been a great experience - like the documentation, example coding, and help desk.",
            "reviewReply": {
                "reply": "Thank you for the great thoughts.",
                "updated": "2024-02-05T22:36:17.989625Z"
            },
            "reviewer": {
                "name": "Mads Max",
                "profile": "https://lh3.googleusercontent.com/a-/ALV-UjV-MlTLJh9CdosuaS_28Dx2aOZi"
            },
            "updated": "2023-07-11T21:23:57.707819Z"
        },
        {
            "created": "2023-05-09T19:27:04.839089Z",
            "id": "FFFvOqkkVAAQYEe2o5asfICQAGTTG",
            "rating": "FIVE", // Rating ONE, TWO, THREE, FOUR, FIVE
            "review": "Great service, really useful product, well-crafted",
            "reviewReply": {},
            "reviewer": {
                "name": "V the Man",
                "profile": "https://lh3.googleusercontent.com/a-/ALV-UjULaIDBWwT"
            },
            "updated": "2023-05-09T19:27:04.839089Z"
        },
        {
            "created": "2023-05-02T19:04:54.814104Z",
            "id": "BBBOqkkVAAQYEe2o5asfICQAGTTG",
            "rating": "FIVE",
            "review": "Ayrshare has been a top-notch product and much needed for CRM.  We integrated the API a while back and the code samples in the docs provided by the team have been great.  I've also been happy with the new features they've added like on TikTok and Instagram as well as with their support during the integration process.",
            "reviewReply": {},
            "reviewer": {
                "name": "David Manning",
                "profile": "https://lh3.googleusercontent.com/a-/ALV-UjXph_y96HMlmDJMJaEHJ1vGkFseinq1UasKOy"
            },
            "updated": "2023-05-02T19:04:54.814104Z"
        },
        {
            "created": "2023-04-16T22:30:14.481018Z",
            "id": "CCCvOqkkVAAQYEe2o5asfICQAGTTG",
            "rating": "FIVE",
            "review": "I've been using Ayrshare's API for my real estate SaaS platform for a while now and it has been great. Appreciated the help on my coding bug and really excited try the TikTok direct publishing with my users.",
            "reviewReply": {
                "reply": "Thank you.",
                "updated": "2023-04-16T22:41:10.885472Z"
            },
            "reviewer": {
                "name": "Jason Gould",
                "profile": "https://lh3.googleusercontent.com/a-/ALV-UjUnpfGdErOQUC4zz6Bg3HwFHZz4Lly9gMOJA"
            },
            "updated": "2023-04-16T22:30:14.481018Z"
        }
    ],
    "averageRating": 4.12, // Facebook will be 1, 0, or -1 corresponding to positive, neutral, or negative
    "totalReviewCount": 5,
    "lastUpdated": "2024-02-05T23:05:10.091Z",
    "nextUpdate": "2024-02-05T23:16:10.091Z"
}
```

```json 400: Reviews Not Found theme={"system"}
{
  "action": "reviews",
  "status": "error",
  "code": 350,
  "message": "Error getting reviews. Please verify there are reviews for this social network."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.